Get a Specific Transaction Contact Type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/contacts/types/{id}

Returns a specific transaction contact type.

Path parameters

  • id string(uuid) Required

    Contact Type GUID

Responses

  • 200 application/json

    Contact type returned successfully

    Hide response attributes Show response attributes object
    • id string(uuid)

      Unique identifier for this contact type

    • name string
    • ownerId string(uuid)

      Owner of this type (Global, Association, Office, or Personal level)

    • dateCreated string(date-time)
    • lastModified string(date-time)
  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
  • 404 application/json

    Contact type not found

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
GET /v2/transactions/contacts/types/{id}
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/contacts/types/{id}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "id": "3820856a-faef-477d-8d6a-8a8e25fc9522",
  "name": "Listing Agent",
  "ownerId": "5ec37bc1-9f55-4fe2-b9c4-1072f9954312",
  "dateCreated": "2020-04-14T15:54:53.207",
  "lastModified": "2020-04-14T15:54:53.207"
}
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}
Response examples (404)
{
  "code": 404,
  "message": "Item not found.",
  "details": []
}